--
-- PostgreSQL database dump
--

-- Dumped from database version 11.5
-- Dumped by pg_dump version 11.5

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: access_logs; Type: TABLE; Schema: public; Owner: {{ postgresql.user }}
--

CREATE TABLE public.access_logs (
    id uuid DEFAULT public.gen_random_uuid() NOT NULL,
    host character varying,
    msec double precision,
    server_protocol character varying,
    request_method character varying,
    request_completion character varying,
    uri character varying,
    query_string character varying,
    status integer,
    sent_http_content_type character varying,
    sent_http_content_encoding character varying,
    sent_http_etag character varying,
    sent_http_last_modified character varying,
    http_accept character varying,
    http_accept_encoding character varying,
    http_accept_language character varying,
    http_pragma character varying,
    http_cache_control character varying,
    http_if_none_match character varying,
    http_dnt character varying,
    http_user_agent character varying,
    http_origin character varying,
    request_time double precision,
    bytes_sent integer,
    body_bytes_sent integer,
    request_length integer,
    http_connection character varying,
    pipe character varying,
    connection_requests integer,
    geoip2_data_country_name character varying,
    geoip2_data_city_name character varying,
    ssl_server_name character varying,
    ssl_protocol character varying,
    ssl_early_data character varying,
    ssl_session_reused character varying,
    ssl_curves character varying,
    ssl_ciphers character varying,
    ssl_cipher character varying,
    sent_http_x_xss_protection character varying,
    sent_http_x_frame_options character varying,
    sent_http_x_content_type_options character varying,
    sent_http_strict_transport_security character varying,
    nginx_version character varying,
    pid integer,
    remote_user character varying,
    crawler boolean DEFAULT false,
    http_referer character varying
);


ALTER TABLE public.access_logs OWNER TO {{ postgresql.user }};

--
-- Name: access_logs access_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: {{ postgresql.user }}
--

ALTER TABLE ONLY public.access_logs
    ADD CONSTRAINT access_logs_pkey PRIMARY KEY (id);


--
-- Name: index_access_logs_on_geoip2_data_city_name; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_geoip2_data_city_name ON public.access_logs USING btree (geoip2_data_city_name);


--
-- Name: index_access_logs_on_geoip2_data_country_name; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_geoip2_data_country_name ON public.access_logs USING btree (geoip2_data_country_name);


--
-- Name: index_access_logs_on_host; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_host ON public.access_logs USING btree (host);


--
-- Name: index_access_logs_on_http_origin; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_http_origin ON public.access_logs USING btree (http_origin);


--
-- Name: index_access_logs_on_http_user_agent; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_http_user_agent ON public.access_logs USING btree (http_user_agent);


--
-- Name: index_access_logs_on_status; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_status ON public.access_logs USING btree (status);


--
-- Name: index_access_logs_on_uri; Type: INDEX; Schema: public; Owner: {{ postgresql.user }}
--

CREATE INDEX index_access_logs_on_uri ON public.access_logs USING btree (uri);


--
-- Name: TABLE access_logs; Type: ACL; Schema: public; Owner: {{ postgresql.user }}
--

CREATE USER access_log LOGIN;
CREATE USER blazer LOGIN;

GRANT SELECT,INSERT ON TABLE public.access_logs TO access_log;
GRANT SELECT ON TABLE public.access_logs TO blazer;


--
-- PostgreSQL database dump complete
--

